`timescale 1ns / 1ps

module lab8_1(
    output reg [7:0] ssd,
    output reg [3:0] yes,
    inout wire PS2_DATA,
	inout wire PS2_CLK,
    input wire rst_n,
	input wire clk
    );
    wire [511:0] key_down; wire [8:0] last_change; wire key_valid;
	reg [8:0] num;
	wire [1:0] ctl; wire [3:0] ssd_in;
	always@*
    if(num == 9'h5A)
        yes = 4'b1111;
    else
        yes = 4'b1110;
	always@*
	   if(key_valid) num = last_change;
	   else num = num;
	always@*
	   case(num)
	       9'h70: ssd = 8'b0000_0011;
           9'h69: ssd = 8'b1001_1111;
           9'h72: ssd = 8'b0010_0101;
           9'h7A: ssd = 8'b0000_1101;
           9'h6B: ssd = 8'b1001_1001;
           9'h73: ssd = 8'b0100_1001;
           9'h74: ssd = 8'b0100_0001;
           9'h6C: ssd = 8'b0001_1111;
           9'h75: ssd = 8'b0000_0001;
           9'h7D: ssd = 8'b0000_1001;
           9'h1C: ssd = 8'b0001_0001;
           9'h1B: ssd = 8'b1111_1101;
           9'h3A: ssd = 8'b1110_0001;
           default: ssd = 8'b0111_0001;
	   endcase
    KeyboardDecoder U_keyboard(
	  .key_down(key_down),
	  .last_change(last_change),
	  .key_valid(key_valid),
	  .PS2_DATA(PS2_DATA),
	  .PS2_CLK(PS2_CLK),
	  .rst(~rst_n),
	  .clk(clk)
    );
    
endmodule
